commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ben Speakmon" <bspeak...@apache.org>
Subject [validator] EmailValidator.isValidIpAddress()
Date Tue, 23 Oct 2007 00:19:13 GMT
After refactoring EmailValidator to use InetAddressValidator, I went to get
rid of (or at least deprecate) isValidIpAddress. However, it takes a
parameter of type Perl5Util from oro. Since it's a protected method, we
can't eliminate it in a point release, but we also want to get rid of oro
for 1.4, but we can't without removing this protected method... bugger.

For 1.4, obviously the entire class in o.a.c.validator is going to be
deprecated and replaced with a soon-to-exist
o.a.c.validator.routinesversion, but what should we do about this
annoying problem? My gut says the
evil of breaking compatibility at this one point is outweighed by the good
of getting rid of oro entirely, so I'd prefer to remove it and mark it as an
upgrade/release issue.

Thoughts?

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message